-65535 | RS1 | RS1 (алгоритм COSE -65535): RSASSA-PKCS1-v1_5 using SHA-1. Семейство: RSASSA-PKCS1-v1_5. Рекомендуется: объявлен устаревшим. | RFC 8812RFC 9053 |
-65534 | A128CTR | A128CTR (алгоритм COSE -65534): AES-CTR w/ 128-bit key. Семейство: AES-CTR без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-65533 | A192CTR | A192CTR (алгоритм COSE -65533): AES-CTR w/ 192-bit key. Семейство: AES-CTR без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-65532 | A256CTR | A256CTR (алгоритм COSE -65532): AES-CTR w/ 256-bit key. Семейство: AES-CTR без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-65531 | A128CBC | A128CBC (алгоритм COSE -65531): AES-CBC w/ 128-bit key. Семейство: AES-CBC без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-65530 | A192CBC | A192CBC (алгоритм COSE -65530): AES-CBC w/ 192-bit key. Семейство: AES-CBC без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-65529 | A256CBC | A256CBC (алгоритм COSE -65529): AES-CBC w/ 256-bit key. Семейство: AES-CBC без аутентификации. Рекомендуется: объявлен устаревшим. | RFC 9459 |
-268 | ESB512 | ESB512 (алгоритм COSE -268): ECDSA using BrainpoolP512r1 curve and SHA-512. Семейство: ECDSA. Рекомендуется: нет.brainpoolP512r1 | RFC 9864, Section 2.1 |
-267 | ESB384 | ESB384 (алгоритм COSE -267): ECDSA using BrainpoolP384r1 curve and SHA-384. Семейство: ECDSA. Рекомендуется: нет.brainpoolP384r1 | RFC 9864, Section 2.1 |
-266 | ESB320 | ESB320 (алгоритм COSE -266): ECDSA using BrainpoolP320r1 curve and SHA-384. Семейство: ECDSA. Рекомендуется: нет.brainpoolP320r1 | RFC 9864, Section 2.1 |
-265 | ESB256 | ESB256 (алгоритм COSE -265): ECDSA using BrainpoolP256r1 curve and SHA-256. Семейство: ECDSA. Рекомендуется: нет.brainpoolP256r1 | RFC 9864, Section 2.1 |
-264 | KT256 | KT256 (алгоритм COSE -264): KT256 XOF. Семейство: функция с расширяемым выходом. Рекомендуется: нет. | RFC 9861 |
-263 | KT128 | KT128 (алгоритм COSE -263): KT128 XOF. Семейство: функция с расширяемым выходом. Рекомендуется: нет. | RFC 9861 |
-262 | TurboSHAKE256 | TurboSHAKE256 (алгоритм COSE -262): TurboSHAKE256 XOF. Семейство: функция с расширяемым выходом. Рекомендуется: нет. | RFC 9861 |
-261 | TurboSHAKE128 | TurboSHAKE128 (алгоритм COSE -261): TurboSHAKE128 XOF. Семейство: функция с расширяемым выходом. Рекомендуется: нет. | RFC 9861 |
-260 | WalnutDSA | WalnutDSA (алгоритм COSE -260): WalnutDSA signature. Семейство: WalnutDSA. Рекомендуется: нет. | RFC 9021RFC 9053 |
-259 | RS512 | RS512 (алгоритм COSE -259): RSASSA-PKCS1-v1_5 using SHA-512. Семейство: RSASSA-PKCS1-v1_5. Рекомендуется: нет. | RFC 8812RFC 9053 |
-258 | RS384 | RS384 (алгоритм COSE -258): RSASSA-PKCS1-v1_5 using SHA-384. Семейство: RSASSA-PKCS1-v1_5. Рекомендуется: нет. | RFC 8812RFC 9053 |
-257Примечание | RS256 | RS256 (алгоритм COSE -257): RSASSA-PKCS1-v1_5 using SHA-256. Семейство: RSASSA-PKCS1-v1_5. Рекомендуется: нет. | RFC 8812RFC 9053 |
-53 | Ed448 | Ed448 (алгоритм COSE -53): EdDSA using the Ed448 parameter set in [Section 5.2 of RFC 8032]. Семейство: EdDSA. Рекомендуется: да.edwards448 | RFC 9864, Section 2.2 |
-52 | ESP512 | ESP512 (алгоритм COSE -52): ECDSA using P-521 curve and SHA-512. Семейство: ECDSA. Рекомендуется: да.P-521 | RFC 9864, Section 2.1 |
-51 | ESP384 | ESP384 (алгоритм COSE -51): ECDSA using P-384 curve and SHA-384. Семейство: ECDSA. Рекомендуется: да.P-384 | RFC 9864, Section 2.1 |
-50 | ML-DSA-87 | ML-DSA-87 (алгоритм COSE -50): CBOR Object Signing Algorithm for ML-DSA-87. Семейство: ML-DSA. Рекомендуется: да. | RFC 9964 |
-49 | ML-DSA-65 | ML-DSA-65 (алгоритм COSE -49): CBOR Object Signing Algorithm for ML-DSA-65. Семейство: ML-DSA. Рекомендуется: да. | RFC 9964 |
-48 | ML-DSA-44 | ML-DSA-44 (алгоритм COSE -48): CBOR Object Signing Algorithm for ML-DSA-44. Семейство: ML-DSA. Рекомендуется: да. | RFC 9964 |
-47 | ES256K | ES256K (алгоритм COSE -47): ECDSA using secp256k1 curve and SHA-256. Семейство: ECDSA. Рекомендуется: нет.secp256k1 | RFC 8812RFC 9053 |
-46 | HSS-LMS | HSS-LMS (алгоритм COSE -46): HSS/LMS hash-based digital signature. Семейство: подписи на основе хеш-функций HSS/LMS. Рекомендуется: да. | RFC 8778RFC 9053 |
-45 | SHAKE256 | SHAKE256 (алгоритм COSE -45): SHAKE-256 512-bit Hash Value. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-44 | SHA-512 | SHA-512 (алгоритм COSE -44): SHA-2 512-bit Hash. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-43 | SHA-384 | SHA-384 (алгоритм COSE -43): SHA-2 384-bit Hash. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-42 | RSAES-OAEP w/ SHA-512 | RSAES-OAEP w/ SHA-512 (алгоритм COSE -42): RSAES-OAEP w/ SHA-512. Семейство: шифрование RSAES-OAEP. Рекомендуется: да. | RFC 8230RFC 9053 |
-41 | RSAES-OAEP w/ SHA-256 | RSAES-OAEP w/ SHA-256 (алгоритм COSE -41): RSAES-OAEP w/ SHA-256. Семейство: шифрование RSAES-OAEP. Рекомендуется: да. | RFC 8230RFC 9053 |
-40 | RSAES-OAEP w/ RFC 8017 default parameters | RSAES-OAEP w/ RFC 8017 default parameters (алгоритм COSE -40): RSAES-OAEP w/ SHA-1. Семейство: шифрование RSAES-OAEP. Рекомендуется: да. | RFC 8230RFC 9053 |
-39 | PS512 | PS512 (алгоритм COSE -39): RSASSA-PSS w/ SHA-512. Семейство: RSASSA-PSS. Рекомендуется: да. | RFC 8230RFC 9053 |
-38 | PS384 | PS384 (алгоритм COSE -38): RSASSA-PSS w/ SHA-384. Семейство: RSASSA-PSS. Рекомендуется: да. | RFC 8230RFC 9053 |
-37 | PS256 | PS256 (алгоритм COSE -37): RSASSA-PSS w/ SHA-256. Семейство: RSASSA-PSS. Рекомендуется: да. | RFC 8230RFC 9053 |
-36 | ES512 | ES512 (алгоритм COSE -36): ECDSA w/ SHA-512. Семейство: ECDSA. Рекомендуется: объявлен устаревшим. | RFC 9053RFC 9864 |
-35 | ES384 | ES384 (алгоритм COSE -35): ECDSA w/ SHA-384. Семейство: ECDSA. Рекомендуется: объявлен устаревшим. | RFC 9053RFC 9864 |
-34 | ECDH-SS + A256KW | ECDH-SS + A256KW (алгоритм COSE -34): ECDH SS w/ Concat KDF and AES Key Wrap w/ 256-bit key. Семейство: статически-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-33 | ECDH-SS + A192KW | ECDH-SS + A192KW (алгоритм COSE -33): ECDH SS w/ Concat KDF and AES Key Wrap w/ 192-bit key. Семейство: статически-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-32 | ECDH-SS + A128KW | ECDH-SS + A128KW (алгоритм COSE -32): ECDH SS w/ Concat KDF and AES Key Wrap w/ 128-bit key. Семейство: статически-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-31 | ECDH-ES + A256KW | ECDH-ES + A256KW (алгоритм COSE -31): ECDH ES w/ Concat KDF and AES Key Wrap w/ 256-bit key. Семейство: эфемерно-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-30 | ECDH-ES + A192KW | ECDH-ES + A192KW (алгоритм COSE -30): ECDH ES w/ Concat KDF and AES Key Wrap w/ 192-bit key. Семейство: эфемерно-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-29 | ECDH-ES + A128KW | ECDH-ES + A128KW (алгоритм COSE -29): ECDH ES w/ Concat KDF and AES Key Wrap w/ 128-bit key. Семейство: эфемерно-статический ECDH с последующим обёртыванием ключа AES. Рекомендуется: да. | RFC 9053 |
-28 | ECDH-SS + HKDF-512 | ECDH-SS + HKDF-512 (алгоритм COSE -28): ECDH SS w/ HKDF - generate key directly. Семейство: статически-статический ECDH. Рекомендуется: да. | RFC 9053 |
-27 | ECDH-SS + HKDF-256 | ECDH-SS + HKDF-256 (алгоритм COSE -27): ECDH SS w/ HKDF - generate key directly. Семейство: статически-статический ECDH. Рекомендуется: да. | RFC 9053 |
-26 | ECDH-ES + HKDF-512 | ECDH-ES + HKDF-512 (алгоритм COSE -26): ECDH ES w/ HKDF - generate key directly. Семейство: эфемерно-статический ECDH. Рекомендуется: да. | RFC 9053 |
-25 | ECDH-ES + HKDF-256 | ECDH-ES + HKDF-256 (алгоритм COSE -25): ECDH ES w/ HKDF - generate key directly. Семейство: эфемерно-статический ECDH. Рекомендуется: да. | RFC 9053 |
-19 | Ed25519 | Ed25519 (алгоритм COSE -19): EdDSA using the Ed25519 parameter set in [Section 5.1 of RFC 8032]. Семейство: EdDSA. Рекомендуется: да.edwards25519 | RFC 9864, Section 2.2 |
-18 | SHAKE128 | SHAKE128 (алгоритм COSE -18): SHAKE-128 256-bit Hash Value. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-17 | SHA-512/256 | SHA-512/256 (алгоритм COSE -17): SHA-2 512-bit Hash truncated to 256-bits. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-16 | SHA-256 | SHA-256 (алгоритм COSE -16): SHA-2 256-bit Hash. Семейство: хеш-функция. Рекомендуется: да. | RFC 9054RFC 9053 |
-15 | SHA-256/64 | SHA-256/64 (алгоритм COSE -15): SHA-2 256-bit Hash truncated to 64-bits. Семейство: хеш-функция. Рекомендуется: только для фильтрации, никогда для защиты. | RFC 9054RFC 9053 |
-14 | SHA-1 | SHA-1 (алгоритм COSE -14): SHA-1 Hash. Семейство: хеш-функция. Рекомендуется: только для фильтрации, никогда для защиты. | RFC 9054RFC 9053 |
-13 | direct+HKDF-AES-256 | direct+HKDF-AES-256 (алгоритм COSE -13): Shared secret w/ AES-MAC 256-bit key. Семейство: общий ключ, расширенный с помощью HKDF. Рекомендуется: да. | RFC 9053 |
-12 | direct+HKDF-AES-128 | direct+HKDF-AES-128 (алгоритм COSE -12): Shared secret w/ AES-MAC 128-bit key. Семейство: общий ключ, расширенный с помощью HKDF. Рекомендуется: да. | RFC 9053 |
-11 | direct+HKDF-SHA-512 | direct+HKDF-SHA-512 (алгоритм COSE -11): Shared secret w/ HKDF and SHA-512. Семейство: общий ключ, расширенный с помощью HKDF. Рекомендуется: да. | RFC 9053 |
-10 | direct+HKDF-SHA-256 | direct+HKDF-SHA-256 (алгоритм COSE -10): Shared secret w/ HKDF and SHA-256. Семейство: общий ключ, расширенный с помощью HKDF. Рекомендуется: да. | RFC 9053 |
-9 | ESP256 | ESP256 (алгоритм COSE -9): ECDSA using P-256 curve and SHA-256. Семейство: ECDSA. Рекомендуется: да.P-256 | RFC 9864, Section 2.1 |
-8Примечание | EdDSA | EdDSA (алгоритм COSE -8): EdDSA. Семейство: EdDSA. Рекомендуется: объявлен устаревшим. | RFC 9053RFC 9864 |
-7Примечание | ES256 | ES256 (алгоритм COSE -7): ECDSA w/ SHA-256. Семейство: ECDSA. Рекомендуется: объявлен устаревшим. | RFC 9053RFC 9864 |
-6 | direct | direct (алгоритм COSE -6): Direct use of CEK. Семейство: прямое использование общего симметричного ключа. Рекомендуется: да. | RFC 9053 |
-5 | A256KW | A256KW (алгоритм COSE -5): AES Key Wrap w/ 256-bit key. Семейство: обёртывание ключа AES. Рекомендуется: да. | RFC 9053 |
-4 | A192KW | A192KW (алгоритм COSE -4): AES Key Wrap w/ 192-bit key. Семейство: обёртывание ключа AES. Рекомендуется: да. | RFC 9053 |
-3 | A128KW | A128KW (алгоритм COSE -3): AES Key Wrap w/ 128-bit key. Семейство: обёртывание ключа AES. Рекомендуется: да. | RFC 9053 |
1 | A128GCM | A128GCM (алгоритм COSE 1): AES-GCM mode w/ 128-bit key, 128-bit tag. Семейство: AES-GCM. Рекомендуется: да. | RFC 9053 |
2 | A192GCM | A192GCM (алгоритм COSE 2): AES-GCM mode w/ 192-bit key, 128-bit tag. Семейство: AES-GCM. Рекомендуется: да. | RFC 9053 |
3 | A256GCM | A256GCM (алгоритм COSE 3): AES-GCM mode w/ 256-bit key, 128-bit tag. Семейство: AES-GCM. Рекомендуется: да. | RFC 9053 |
4 | HMAC 256/64 | HMAC 256/64 (алгоритм COSE 4): HMAC w/ SHA-256 truncated to 64 bits. Семейство: HMAC. Рекомендуется: да. | RFC 9053 |
5 | HMAC 256/256 | HMAC 256/256 (алгоритм COSE 5): HMAC w/ SHA-256. Семейство: HMAC. Рекомендуется: да. | RFC 9053 |
6 | HMAC 384/384 | HMAC 384/384 (алгоритм COSE 6): HMAC w/ SHA-384. Семейство: HMAC. Рекомендуется: да. | RFC 9053 |
7 | HMAC 512/512 | HMAC 512/512 (алгоритм COSE 7): HMAC w/ SHA-512. Семейство: HMAC. Рекомендуется: да. | RFC 9053 |
10 | AES-CCM-16-64-128 | AES-CCM-16-64-128 (алгоритм COSE 10): AES-CCM mode 128-bit key, 64-bit tag, 13-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
11 | AES-CCM-16-64-256 | AES-CCM-16-64-256 (алгоритм COSE 11): AES-CCM mode 256-bit key, 64-bit tag, 13-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
12 | AES-CCM-64-64-128 | AES-CCM-64-64-128 (алгоритм COSE 12): AES-CCM mode 128-bit key, 64-bit tag, 7-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
13 | AES-CCM-64-64-256 | AES-CCM-64-64-256 (алгоритм COSE 13): AES-CCM mode 256-bit key, 64-bit tag, 7-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
14 | AES-MAC 128/64 | AES-MAC 128/64 (алгоритм COSE 14): AES-MAC 128-bit key, 64-bit tag. Семейство: AES-CBC-MAC. Рекомендуется: да. | RFC 9053 |
15 | AES-MAC 256/64 | AES-MAC 256/64 (алгоритм COSE 15): AES-MAC 256-bit key, 64-bit tag. Семейство: AES-CBC-MAC. Рекомендуется: да. | RFC 9053 |
24 | ChaCha20/Poly1305 | ChaCha20/Poly1305 (алгоритм COSE 24): ChaCha20/Poly1305 w/ 256-bit key, 128-bit tag. Семейство: ChaCha20-Poly1305. Рекомендуется: да. | RFC 9053 |
25 | AES-MAC 128/128 | AES-MAC 128/128 (алгоритм COSE 25): AES-MAC 128-bit key, 128-bit tag. Семейство: AES-CBC-MAC. Рекомендуется: да. | RFC 9053 |
26 | AES-MAC 256/128 | AES-MAC 256/128 (алгоритм COSE 26): AES-MAC 256-bit key, 128-bit tag. Семейство: AES-CBC-MAC. Рекомендуется: да. | RFC 9053 |
30 | AES-CCM-16-128-128 | AES-CCM-16-128-128 (алгоритм COSE 30): AES-CCM mode 128-bit key, 128-bit tag, 13-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
31 | AES-CCM-16-128-256 | AES-CCM-16-128-256 (алгоритм COSE 31): AES-CCM mode 256-bit key, 128-bit tag, 13-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
32 | AES-CCM-64-128-128 | AES-CCM-64-128-128 (алгоритм COSE 32): AES-CCM mode 128-bit key, 128-bit tag, 7-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
33 | AES-CCM-64-128-256 | AES-CCM-64-128-256 (алгоритм COSE 33): AES-CCM mode 256-bit key, 128-bit tag, 7-byte nonce. Семейство: AES-CCM. Рекомендуется: да. | RFC 9053 |
34 | IV-GENERATION | IV-GENERATION (алгоритм COSE 34): For doing IV generation for symmetric algorithms.. Семейство: генерация IV для симметричных алгоритмов. Рекомендуется: нет. | RFC 9053 |